* {
  box-sizing: border-box;
}

body,
html {

  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;

  font-size: 12px;

  height: 100%;
  max-height: 100%;
  padding: 0;
  margin: 0;
}

a:link {
  text-decoration: none;
}

#js-create-diagram {
	color:#3498db;
	text-decoration: underline;
	cursor: pointer;	
}

.content {
  position: relative;
  width: 100%;
  height: 100%;

  > .message {
    width: 100%;
    height: 100%;
    text-align: center;
    display: table;

    font-size: 16px;
    color: #111;

    .note {
      vertical-align: middle;
      text-align: center;
      display: table-cell;
    }

    .error {
      .details {
        max-width: 500px;
        font-size: 12px;
        margin: 20px auto;
        text-align: left;
      }

      pre {
        border: solid 1px #CCC;
        background: #EEE;
        padding: 10px;
      }
    }
  }
  &:not(.with-error) .error,
  &.with-error .intro,
  &.with-diagram .intro {
    display: none;
  }

  .canvas {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }

  .canvas,
  &.with-error .canvas {
    visibility: hidden;
  }

  &.with-diagram .canvas {
    visibility: visible;
  }
}


.buttonsDownloadFiles {

  padding: 5px;
  margin: 0;
  list-style: none;

  > li {
    display: inline-block;
    margin-right: 10px;

    > a {
      background: #DDD;
      border: solid 1px #666;
      display: inline-block;
      padding: 5px;
    }
  }

  a {
    opacity: 0.3;
  }

  a.active {
    opacity: 1.0;
  }
}




.buttonsLoadFiles {
  
  padding: 5px;
  margin: 0;
  list-style: none;

  > li {
    display: inline-block;
    margin-right: 10px;    
  }
}


.buttonsTCEvaluation {
  

  padding: 5px;
  margin: 0;
  list-style: none;

  > li {
    display: inline-block;
    margin-right: 10px;    
  }
}




.toolbar {
  position: fixed;
  bottom: 20px;
  left: 20px;
  padding: 5px;
  margin: 10px;
  background: var(--palette-background-color);
  border: solid 1px black;
  border-radius: 8px;
  width: 75%;
}




#js-properties-panel {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  width: 260px;
  z-index: 10;
  border-left: 1px solid #ccc;
  overflow: auto;
  &:empty {
    display: none;
  }
  > .djs-properties-panel {
    padding-bottom: 70px;
    min-height:100%;
  }
}




 




/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 12; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  border: 1px solid #888;
  width: 50%;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  -webkit-animation-name: animatetop;
  -webkit-animation-duration: 0.4s;
  animation-name: animatetop;
  animation-duration: 0.4s
}

// /* Add Animation */
// @-webkit-keyframes animatetop {
//   from {top:-300px; opacity:0} 
//   to {top:0; opacity:1}
// }

// @keyframes animatetop {
//   from {top:-300px; opacity:0}
//   to {top:0; opacity:1}
// }

/* The Close Button */
.close {
  color: white;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.modal-header {
  padding: 2px 16px;
  background-color: #d5d5d5; //#5cb85c;
  color: black; // white;
}

.modal-body {
  padding: 2px 16px;
  height:250px;
  overflow: auto;
}

.modal-footer {
  padding: 2px 16px;
  background-color:  #fefefe; //#5cb85c;
  color: black; // white;
}



.loader {
  border: 16px solid #f3f3f3; /* Light grey */
  border-top: 16px solid #3498db; /* Blue */
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
  margin:0 auto;
  position: relative;
  z-index: 15; /* Sit on top */
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}







@import "bpmn-js-properties-panel/styles/properties";
